----------
SYSINI.TXT for Windows 3.1
----------
[BOOT] SECTION
The [boot] section contains a list of the drivers and
Windows modules that Windows uses to configure itself each
time you start it.
  CAUTION: All settings in this section are required. If you
           modify or delete one of these settings, Windows
           might not operate properly. There are no built-in
           default values for these settings; Setup assigns
           values based on your system configuration.
The [boot] section can contain the following settings:
------------------------------------------------------------
286grabber=<filename>
  Default: none
  Purpose: Specifies the filename of the device driver
           (called a grabber) that makes a non-Windows
           application visible when you use Windows in real
           mode or standard mode.
  To change: Choose the Windows Setup icon from the Main
           Group window. This setting changes when you
           change the Display setting in Setup. If you are
           installing a device driver that is not included
           with Windows, run Setup from MS-DOS.
------------------------------------------------------------
386grabber=<filename>
  Default: none
  Purpose: Specifies the filename of the device driver
           (called a grabber) that makes a non-Windows
           application visible when you use Windows in 386
           enhanced mode.
  To change: Choose the Windows Setup icon from the Main
           Group window. This setting changes when you
           change the display setting in Setup. If you are
           installing a device driver that is not included
           with Windows, run Setup from MS-DOS.
------------------------------------------------------------
comm.drv=<filename>
  Default: none
  Purpose: Specifies the filename of the serial
           communications driver you are using.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
display.drv=<filename>
  Default: none
  Purpose: Specifies the filename of the display driver you
           are using.
  To change: Choose the Windows Setup icon from the Main
           Group window. If you are installing a device
           driver that is not included with Windows, run
           Setup from MS-DOS.
------------------------------------------------------------
fixedfon.fon=<filename>
  Default: none
  Purpose: Specifies the filename of the fixed system font
           used by Windows version 2.x. This font will still
           be used by version 2.x applications.
  To change: Choose the Windows Setup icon from the Main
           Group window. This setting changes when you
           change the display setting. If you are installing
           a device driver that is not included with
           Windows, run Setup from MS-DOS.
------------------------------------------------------------
fonts.fon=<filename>
  Default: none
  Purpose: Specifies the filename of the proportionately
           spaced system font used by Windows 3.0.
  To change: Choose the Windows Setup icon from the Main
           Group window. This setting changes when you
           change the display setting in Setup. If you are
           installing a device driver that is not included
           with Windows, run Setup from MS-DOS.
------------------------------------------------------------
keyboard.drv=<filename>
  Default: none
  Purpose: Specifies the filename of the keyboard driver you
           are using.
  To change: Choose the Windows Setup icon from the
           Main Group window. If you are installing a device
           driver that is not included with Windows, run
           Setup from MS-DOS.
------------------------------------------------------------
language.dll=<library-name>
  Default: none
  Purpose: Specifies the name of the dynamic-link library
           that supplies language-specific functions. If no
           language library is specified, Windows uses the
           built-in U.S. English library.
  To change: Choose the International icon from the Control
           Panel window.
------------------------------------------------------------
mouse.drv=<filename>
  Default: none
  Purpose: Specifies the filename of the mouse driver you
           are using.
  To change: Choose the Windows Setup icon from the Main
           Group window. If you are installing a device
           driver that is not included with Windows, run
           Setup from MS-DOS.
------------------------------------------------------------
network.drv=<filename>
  Default: none
  Purpose: Specifies the filename of the network driver you
           are using.
  To change: Choose the Windows Setup icon from the Main
           Group window. If you are installing a device
           driver that is not included with Windows, run
           Setup from MS-DOS.
------------------------------------------------------------
oemfonts.fon=<filename>
  Default: none
  Purpose: Supplies the name of the font file for the OEM
           character set. This setting is associated with
           the display setting.
  To change: Run Setup from MS-DOS. This setting changes
           when you change the Languages setting in Setup.
------------------------------------------------------------
shell=<filename>
  Default: none (Setup initializes this value as
             PROGMAN.EXE)
  Purpose: Specifies the Windows program that runs when you
           start Windows. Unless you change this setting,
           Program Manager will run when you start Windows.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
sound.drv=<filename>
  Default: none
  Purpose: Specifies the filename of the sound driver you
           are using.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
system.drv=<filename>
  Default: none
  Purpose: Specifies the filename of the system hardware
           driver you are using.
  To change: Exit Windows and run Setup from MS-DOS.
------------------------------------------------------------
[BOOT.DESCRIPTION] SECTION
The [boot.description] section is simply a list of strings
that are used to describe the devices you can change when
you run Setup. There is no reason to change these settings.
------------------------------------------------------------
[KEYBOARD] SECTION
The [keyboard] section provides information about the
keyboard.
  CAUTION: All settings in this section are required. If you
           modify or delete one of these settings, Windows
           will not operate properly. There are no built-in
           default values for these settings; Setup assigns
           values based on your system configuration.
The [keyboard] section can contain the following settings:
------------------------------------------------------------
keyboard.dll=<filename>
  Purpose: Specifies the name of a dynamic-link library that
           defines the layout for non-U.S. keyboards and
           keyboards not compatible with IBM-compatible
           systems. This setting is required for all
           keyboards except the following U.S. keyboards:
           IBM XT, PC/AT (R), or enhanced; AT&T type 301 or
           302, Olivetti 83-key.
  To change: Choose the Windows Setup icon from the Main
           Group window or the International icon from the
           Control Panel window.
------------------------------------------------------------
oemansi.bin=<filename>
  Purpose: Specifies the name of a file that defines
           OEM/ANSI code-page translation tables for systems
           not using the U.S. OEM character set (code page
           437).
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
subtype=<number>
  Purpose: Distinguishes, for some drivers, special features
           for keyboards that otherwise have identical
           layouts. The following values are defined:

           Type     Subtype
           Value    Value     Meaning
           -----    -------   -------
             1         2      Olivetti M24 83-key or
                              AT&T 6300 type 301 83-key

             1         4      AT&T type 302 sometimes used
                              on the 6300 Plus.

             2         1      Olivetti 102-key ICO used on
                              M24 systems.

           This setting can also be used by other drivers.

           See the following setting (type=) for information
           about its values.

  To change: Choose the Windows Setup icon from the Main
           Group window.
------------------------------------------------------------
type=<number>
  Purpose: Specifies the keyboard type. It can be any one of
           the following values:

             Value  Meaning
             -----  ------------------------------------
               1    IBM PC or XT compatible (83 keys)

               2    Olivetti 102-key ICO

               3    IBM AT compatible (84 or 86 keys)

               4    IBM compatible, enhanced (101 or 102
                    keys)

           If this field is blank or missing, the driver
           selects a default type. For IBM-compatible
           keyboards (using the keyboard.drv driver), the
           default type is determined by the BIOS.
  To change: Choose the Windows Setup icon from the Main
           Group window.
------------------------------------------------------------
[NONWINDOWSAPP] SECTION
The [NonWindowsApp] section contains settings that affect
the performance of non-Windows applications.
The [NonWindowsApp] section can contain the following
settings:
------------------------------------------------------------
NetAsynchSwitching=<0-or-1>
  Default: 0
  Purpose: Indicates whether Windows will allow you to
           switch away from an application (running in
           real mode or standard mode) after it has made an
           asynchronous network BIOS call. The default value
           of 0 specifies that such task switching is not
           allowed. Switching away from some applications
           that make these calls might cause your system to
           fail. Once Windows detects an asynchronous
           NetBIOS call, it will not allow switching from
           the application even if no more of these calls
           are made. Set this value to 1 if you are sure the
           applications you use will not receive network
           messages while you are switched away from them.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
ScreenLines=<number>
  Default: 25
  Purpose: Specifies the number of lines that will be
           displayed on the screen when a non-Windows
           application is run. An application that specifies
           a different screen mode can override this
           setting.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
SwapDisk=<drive-colon-directory>
  Default: (The directory pointed to by the TEMP environment
           variable; if there is no TEMP variable, then the
           default is the Windows directory)
  Purpose: Provides the name of the disk drive and directory
           to which Windows running in real mode or standard
           mode swaps non-Windows applications.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
[STANDARD] SECTION
The [standard] section contains settings that are specific
to running Windows in standard mode.
The [standard] section can contain the following settings:
------------------------------------------------------------
Int28Filter=<number>
  Default: 10
  Purpose: Specifies the percentage of INT28h interrupts,
           generated when the system is idle, that are made
           visible to software that is loaded before
           Windows. Windows will reflect every nth
           interrupt, where n is the value of this setting.
           Increasing this value might improve Windows'
           performance, but may interfere with some memory-
           resident software such as a network. Set this
           value to 0 to prevent INT28h interrupts. But
           note that setting this value too low will add
           to system overhead that might interfere with
           communications applications.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
NetHeapSize=<kilobytes>
  Default: 8
  Purpose: Specifies the size (in kilobytes) of the buffer
           pool that standard-mode Windows allocates in
           conventional memory for transferring data over a
           network. Some networks require a larger buffer
           than the default. Increasing this value will
           diminish the amount of memory available to
           applications. If no network software is
           running, this setting will be ignored and no
           memory will be allocated.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
PadCodeSegments=<0-or-1>
  Default: 0
  Purpose: Setting this value to 1 causes Windows kernel to
           pad code segments with 16 bytes. This will
           prevent the last instruction in the segment
           from being too close to the segment limit for
           80286 B2 stepping. You only need to set this
           value to 1 for this 80286 stepping.
           Unfortunately, there is no easy way of telling
           what stepping a 80286 chip is. Try setting this
           value to 1 if your 80286 system hangs in
           standard mode.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
ReservedLowMemory=<kilobytes>
  Default: 0
  Purpose: Specifies the amount of conventional memory (in
           kilobytes) to be reserved for use by programs
           other than Windows. There is no known reason
           to change this value.
  To change: Use Notepad to edit the SYSTEM.INI file.
------------------------------------------------------------
NOTE: See the SYSINI2.TXT and SYSINI3.TXT files for the
      [386Enh] section listings.
----------

PC/AT is a registered trademark of International Business
Machines Corporation.
